<?php
	require_once get_template_directory() . '/class-wp-bootstrap-navwalker.php';
	
	// Thêm ảnh đại diện
	add_theme_support( 'post-thumbnails' );

	// Ảnh này sẽ hiện ở ngoài blog
	add_image_size('blog-thumbnail',700, 350, true);

	// Ảnh này sẽ hiện ở trong post
	add_image_size('post-thumbnail',1200, 600, true);

	// Khai báo menu
	function register_my_menu() {
	  register_nav_menu('header-menu',__( 'Header Menu' )); // đặt tên là Header Menu
	}
	add_action( 'init', 'register_my_menu' );

	// Khai báo sidebar
	function mini_blog_widgets_init() {
	    register_sidebar( array(
	        'name'			=> __( 'Sidebar', 'sidebar-mini' ),
	        'id' 			=> 'sidebar-mini',
	        'description' 	=> __( 'Ở đây sẽ chứa những widget của Mini Blog', 'sidebar-mini' ),
	        'before_widget' => '<div id="%1$s" class="card my-4 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h5 class="card-header">',
			'after_title'   => '</h5>',
	    ) );
	}
	add_action( 'widgets_init', 'mini_blog_widgets_init' );

	// Tạo Paginate
	function mini_blog_pagination( $echo = true ) {
		global $wp_query;

		$pages = paginate_links( array(
				'format' 		=> '?paged=%#%',
				'current' 		=> max( 1, get_query_var('paged') ),
				'total' 		=> $wp_query->max_num_pages,
				'type'  		=> 'array',
				'prev_next'   	=> true,
				'prev_text'    	=> __('« Trước'),
				'next_text'    	=> __('Sau »'),
			)
		);

		if( is_array( $pages ) ) {
			$paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
			$pagination = '<ul class="pagination justify-content-center mb-4">';
			foreach ( $pages as $page ) {
				$pagination .= "<li class='page-item'>$page</li>";
			}
			$pagination .= '</ul>';
			if ( $echo ) {
				echo $pagination;
			} else {
				return $pagination;
			}
		}
	}

	// Tạo Breadcrumbs
	function mini_blog_breadcrumbs() {
		if(!is_home()) {
			echo '<nav class="breadcrumb">';
				echo '<div class="container">';

				echo '<a class="breadcrumb-item" href="'.home_url('/').'">Trang chủ</a>';
				if (is_category() || is_single()) {

					$categories = wp_get_post_terms( get_the_id(), 'category' );

					if ( $categories ):
					    foreach ( $categories as $category ): ?>
					        <a href="<?php echo get_term_link( $category->term_id, 'category' ); ?>" class="breadcrumb-item"><?php echo $category->name; ?></a>
					    <?php endforeach;
					endif;

					if (is_single()) {
						the_title('<span class="breadcrumb-item active">','</span>');
					}
				} elseif (is_page()) {
					the_title('<span class="breadcrumb-item active">','</span>');
				}
				echo '</div>';
			echo '</nav>';
		}
	}





















